package com.chenyang.nse.bussiness.dao.table.base;

import com.chenyang.nse.bussiness.dao.BaseDao;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRolemenu;
import java.util.List;
import org.hibernate.query.Query;
import org.springframework.stereotype.Repository;

@Repository
public class TBaseRolemenuDao extends BaseDao<TBaseRolemenu, String> {
   public List<String> queryMenuIdListByRoleId(List<String> roleid) {
      String hql = "select menuid from TBaseRolemenu where roleid in :roleid";
      Query query = this.getSession().createQuery(hql).setParameter("roleid", roleid);
      List<String> list = query.list();
      return list;
   }
}
